import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const Modal: {
    ({ isOpen, children, handleClose, handleNavBack, template }: propsTypes): React.ReactElement;
    propTypes: {
        isOpen: PropTypes.Requireable<boolean>;
        children: PropTypes.Requireable<PropTypes.ReactElementLike>;
        handleClose: PropTypes.Requireable<(...args: any[]) => any>;
        handleNavBack: PropTypes.Requireable<(...args: any[]) => any>;
        template: PropTypes.Requireable<any>;
    };
    defaultProps: {
        isOpen: boolean;
        children: undefined;
        handleClose: undefined;
        handleNavBack: undefined;
        template: undefined;
    };
};
export default Modal;
